Subject: Re: randconfig build error with next-20150529, in crypto/jitterentropy.c

From: Stephan Mueller <[email-masked]>
Date: Mon, 08 Jun 2015 14:44:47 +0200

Am Montag, 8. Juni 2015, 14:36:30 schrieb Peter Zijlstra:

Hi Peter,

> Adding Stephan to Cc.
> 
> On Mon, 2015-06-08 at 20:25 +0800, Herbert Xu wrote:
> > On Mon, Jun 08, 2015 at 03:21:09PM +0300, Andy Shevchenko wrote:
> > > On Fri, May 29, 2015 at 10:14 PM, Jim Davis <[email-masked]> wrote:
> > > > Building with the attached random configuration file,
> > > 
> > > Hit the very same error against next-20150605.
> > > 
> > > The issue with that file we have no compiler optimization enabled. So,
> > > guys, how you would recommend to fix it?
> > 
> > Stephan, can we get rid of the no optimisation requirement?
> 
> Would something like
> 
> #pragma GCC push_options
> #pragma GCC optimize ("-O0")
> static __u64 jent_fold_time(struct rand_data *ec, __u64 time,
> 			    __u64 *folded, __u64 loop_cnt)
> {
> 	...
> }
> #pragma GCC pop_options
> 
> Be an option to allow the file to be compiled with regular optimizations
> enabled?

Yes, that is also possible. I was not aware of the fact that the optimization 
is the problem. I got another report fom Fengguang Wu about a compile issue on 
AVR32 which I found out relates to the same issue.

I will prepare a patch shortly.

-- 
Ciao
Stephan